Bug 1880188 - bluestore: fix collection_list ordering
Summary: bluestore: fix collection_list ordering
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2
Assignee: Neha Ojha
QA Contact: Pawan
Ranjini M N
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-09-17 21:41 UTC by Neha Ojha
Modified: 2021-06-09 16:16 UTC (History)
14 users (show)

Fixed In Version: ceph-14.2.11-79.el8cp, ceph-14.2.11-79.el7cp
Doc Type: Bug Fix
Doc Text:
.BlueStore and FileStore OSDs list objects in the same order in a mixed cluster Previously, in a cluster with both BlueStore and FileStore OSDs, deep scrub and backfill could report missing objects due to an inconsistency of the sorting mechanism in the backend. With this upgrade, a feature flag `OSD_FIXED_COLLECTION_LIST` has been added to ensure that the `collection_list` method in BlueStore lists objects in the same order as FileStore.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:57:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 48153 0 None None None 2020-11-11 01:11:23 UTC
Github ceph ceph pull 37051 0 None closed nautilus: os/bluestore: fix collection_list ordering 2021-02-18 11:12:11 UTC
Github ceph ceph pull 38100 0 None closed nautilus: os/bluestore: fix "end reached" check in collection_list_legacy 2021-02-18 11:12:11 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:57:38 UTC

Description Neha Ojha 2020-09-17 21:41:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 14 errata-xmlrpc 2021-01-12 14:57:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.